| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAnimTimeUpdateHandler Struct Reference
[Mesh plugins]

By default, csSpriteCal3DMeshObject::Advance() updates the model's via CalModel::update() with the elapsed time since the last advancement. More...

`#include <imesh/spritecal3d.h>`

Inheritance diagram for iAnimTimeUpdateHandler:

[legend]
List of all members.

## Public Member Functions
virtual void | UpdatePosition (float delta, CalModel *)=0
| Given the elapsed time, update the position of the model.

## Detailed Description

By default, csSpriteCal3DMeshObject::Advance() updates the model's via CalModel::update() with the elapsed time since the last advancement.

If this simplistic approach is insufficient for your case, you can override the default behavior by providing your own implementation of the iAnimTimeUpdateHandler interface and registering it with iSpriteCal3DState::SetAnimTimeUpdateHandler().

Definition at line 338 of file spritecal3d.h.

## Member Function Documentation

virtual void iAnimTimeUpdateHandler::UpdatePosition | ( | float | delta,
|  | CalModel * |  |
| ) |  |  | `[pure virtual]`

Given the elapsed time, update the position of the model.

By default, csSpriteCal3DMeshObject::Advance() updates the model's via CalModel::update(), but you can override this simplistic approach by implementing your own UpdatePosition() method.

The documentation for this struct was generated from the following file:

- imesh/spritecal3d.h